Subject: bug#74606: 31.0.50; Another rsvg API change

From: Manuel Giraud <[email-masked]>
Date: Mon, 02 Dec 2024 15:06:28 +0100

Manuel Giraud <[email-masked]> writes:

> Osama Rebach <[email-masked]> writes:
>
>> rsvg_handle_get_pixbuf_and_error is defined in librsvg 2.59, so the patch
>> should guard against 2.59 instead of 2.58
>
> Thanks.  I have based my patch on this comment:
> https://gitlab.gnome.org/GNOME/librsvg/-/blob/main/include/librsvg/rsvg-pixbuf.h?ref_type=heads#L52
>
> Now, I'm looking on the librsvg repo for a more valid source of
> information.

Ok, so if I'm not mistaken the patch that introduces the
rsvg_handle_get_pixbuf_and_error API (and deprecated the other) is this
one:
https://gitlab.gnome.org/GNOME/librsvg/-/commit/85cdba02a3e126c1099a62b3d6421ac0cb2d790b

On this page, when you unfold the link "Tags containing commit", you can
see that 2.58.90 is the first one.  So maybe, I should use this version
instead.  WDYT?

The "Deprecated: 2.58" from the header looks like a copy/paste mistake.
-- 
Manuel Giraud